For the complete documentation index, see llms.txt. This page is also available as Markdown.

◻️Solver Order Submission API

After the Solver completes the token transfer, it should immediately notify the platform through this API.

1. API Endpoint

POST https://{host}/gt/swap/intent/submitOrder

2. Request Parameters

Parameter
Required
Description

intentId

Yes

Solver order ID

dstTxHash

Yes

Transaction hash of the token transfer performed by the Solver

solverAddress

Yes

Solver's deposit address

solverCode

Yes

Solver identifier

solverSecret

Yes

Solver secret key

timestamp

Yes

Timestamp (milliseconds)

3. Request Example

{
    "intentId": "10001",
    "dstTxHash": "0x123456789",
    "solverAddress": "0x123456",
    "solverSecret": "asdfg",
    "timestamp": 1785822731000,
    "solverCode": "test"
}

4. Response Example

Last updated